Open CASCADE Technology: Bnd_Array1OfSphere Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Bnd_Array1OfSphere Class Reference

`#include <Bnd_Array1OfSphere.hxx>`

## Public Member Functions
| Bnd_Array1OfSphere (const Standard_Integer Low, const Standard_Integer Up)
| Bnd_Array1OfSphere (const Bnd_Sphere &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Bnd_Sphere &V)
void | Destroy ()
| ~Bnd_Array1OfSphere ()
Standard_Boolean | IsAllocated () const
const Bnd_Array1OfSphere & | Assign (const Bnd_Array1OfSphere &Other)
const Bnd_Array1OfSphere & | operator= (const Bnd_Array1OfSphere &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Bnd_Sphere &Value)
const Bnd_Sphere & | Value (const Standard_Integer Index) const
const Bnd_Sphere & | operator() (const Standard_Integer Index) const
Bnd_Sphere & | ChangeValue (const Standard_Integer Index)
Bnd_Sphere & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

Bnd_Array1OfSphere::Bnd_Array1OfSphere | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Bnd_Array1OfSphere::Bnd_Array1OfSphere | ( | const Bnd_Sphere & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Bnd_Array1OfSphere::~Bnd_Array1OfSphere | ( |  | ) |
| inline

## Member Function Documentation

const Bnd_Array1OfSphere& Bnd_Array1OfSphere::Assign | ( | const Bnd_Array1OfSphere & | Other | ) |

Bnd_Sphere& Bnd_Array1OfSphere::ChangeValue | ( | const Standard_Integer | Index | ) |

void Bnd_Array1OfSphere::Destroy | ( |  | ) |

void Bnd_Array1OfSphere::Init | ( | const Bnd_Sphere & | V | ) |

Standard_Boolean Bnd_Array1OfSphere::IsAllocated | ( |  | ) | const

Standard_Integer Bnd_Array1OfSphere::Length | ( |  | ) | const

Standard_Integer Bnd_Array1OfSphere::Lower | ( |  | ) | const

const Bnd_Sphere& Bnd_Array1OfSphere::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Bnd_Sphere& Bnd_Array1OfSphere::operator() | ( | const Standard_Integer | Index | ) |
| inline

const Bnd_Array1OfSphere& Bnd_Array1OfSphere::operator= | ( | const Bnd_Array1OfSphere & | Other | ) |
| inline

void Bnd_Array1OfSphere::SetValue | ( | const Standard_Integer | Index,
|  | const Bnd_Sphere & | Value
| ) |  |

Standard_Integer Bnd_Array1OfSphere::Upper | ( |  | ) | const

const Bnd_Sphere& Bnd_Array1OfSphere::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Bnd_Array1OfSphere.hxx